For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
            • POSTCreate Super Admin
            • POSTCreate Super Admins (batch)
            • GETList Companies with Assigned Super Admins
            • PUTUpdate Super Admin Company Assignments
            • GETGet Super Admin's Assigned Companies
            • GETGet Super Admin Details
            • PUTUpdate Super Admin Details
            • GETList Super Admins with Assigned Companies
            • GETList Super Admins Assigned to Company
            • PUTUpdate Company Super Admins Assignments
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementSuper Admin

List Companies with Assigned Super Admins

GET
https://api-b2b.bigcommerce.com/api/v3/io/super-admins/companies
GET
/api/v3/io/super-admins/companies
$curl https://api-b2b.bigcommerce.com/api/v3/io/super-admins/companies \
> -H "X-Auth-Token: <apiKey>"
200Retrieved
1{
2 "code": 200,
3 "data": [
4 {
5 "companyId": 123456,
6 "companyName": "Great Buys Inc.",
7 "companyEmail": "admin@greatbuys.com",
8 "description": "Great Buys",
9 "addressLine1": "123 Main Street",
10 "addressLine2": "Building 100",
11 "city": "Austin",
12 "state": "Texas",
13 "country": "`United States` or `US`",
14 "zipCode": "78726",
15 "catalogId": null,
16 "superAdminCount": 1
17 }
18 ],
19 "meta": {
20 "message": "Success",
21 "pagination": {
22 "totalCount": 789,
23 "limit": 10,
24 "offset": 0
25 }
26 }
27}
Returns a list of Companies with basic Company data and a count of Super Admins associated with them. The `companyId` returned with Company data may be used with B2B Edition Companies API endpoints (see [Company Management](/developer/api-reference/rest/b2b/management/company/companies) or [Companies and Users](/developer/api-reference/rest/b2b/storefront/company/companies) for more information).
Was this page helpful?
Previous

Create Super Admins (batch)

Next

Update Super Admin Company Assignments

Built with

Returns a list of Companies with basic Company data and a count of Super Admins associated with them. The companyId returned with Company data may be used with B2B Edition Companies API endpoints (see Company Management or Companies and Users for more information).

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

limitintegerOptional1-200Defaults to 10
Maximum number of entries to return per page of results.
offsetintegerOptional>=0Defaults to 0
The number of entries to skip before returning the current page of results.
orderByenumOptionalDefaults to DESC

Determines whether results will be sorted in acending (ASC) or descending (DESC) order.

Allowed values:

Response

SUCCESS
codeintegerDefaults to 200
datalist of objects
metaobject